Package fr.gouv.vitam.metadata.core.graph

# Class GraphRelation

java.lang.Object
fr.gouv.vitam.metadata.core.graph.GraphRelation

public class GraphRelation extends Object
Contains information of relation child -> parent unit: the current treated unit unitOriginatingAgency: the originatingAgency of the current unit parent: the parent unit of the current treated unit parentOriginatingAgency: the originatingAgency of the parent unit depth: the depth of the relation AU1 / \ \ / \ \ AU2 AU3 \ \ / \ \ / | AU4 / \ / \ / AU5 AU1/AU2 depth = 1 AU1/AU5 depth = 1 AU1/AU3 depth = 1 AU2/AU4 depth = 2 AU3/AU4 depth = 2 AU4/AU5 depth = 3 (ignored as we have already /AU5 with depth 1)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphRelation(String unit, String parent, String parentOriginatingAgency, Integer depth)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Integer`
  `getDepth()`
  Get depth
  `String`
  `getParent()`
  Get parent unit
  `String`
  `getParentOriginatingAgency()`
  Get parentOriginatingAgency
  `String`
  `getUnit()`
  Get unit
  `int`
  `hashCode()`
  `void`
  `setDepth(Integer depth)`
  Set depth
  `void`
  `setParent(String parent)`
  Set parent unit
  `void`
  `setParentOriginatingAgency(String parentOriginatingAgency)`
  Set parentOriginatingAgency
  `void`
  `setUnit(String unit)`
  Set unit

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GraphRelation

    public GraphRelation(String unit, String parent, String parentOriginatingAgency, Integer depth)
    Constructor
    Parameters:
      `unit` -
      `parent` -
      `parentOriginatingAgency` -
      `depth` -

- ## Method Details

  - ### getUnit

    public String getUnit()
    Get unit
    Returns:
      unit

  - ### setUnit

    public void setUnit(String unit)
    Set unit
    Parameters:
      `unit` -

  - ### getParent

    public String getParent()
    Get parent unit
    Returns:
      parent

  - ### setParent

    public void setParent(String parent)
    Set parent unit
    Parameters:
      `parent` -

  - ### getParentOriginatingAgency

    public String getParentOriginatingAgency()
    Get parentOriginatingAgency
    Returns:
      parentOriginatingAgency

  - ### setParentOriginatingAgency

    public void setParentOriginatingAgency(String parentOriginatingAgency)
    Set parentOriginatingAgency
    Parameters:
      `parentOriginatingAgency` -

  - ### getDepth

    public Integer getDepth()
    Get depth
    Returns:
      depth

  - ### setDepth

    public void setDepth(Integer depth)
    Set depth
    Parameters:
      `depth` -

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`